-- XML-generiertes SQL-Script fuer psql-- von module_drop.xsl


\! echo "Dropping views"
\! echo `date`



\! echo "Dropping functions"
\! echo `date`



\! echo "Dropping tables"
\! echo `date`



\! echo "Uninstall-Actions"
\! echo `date`

--Aktionen: 
	delete from db_version where  his_system='myjobs';


--Das Sachgebiet wird entfernt.

delete from sachgebiete where tid=1400;
-- den admins die Rechte nehmen
delete from group_sachgeb_bez where sachgebiete_id=1400 ;
delete from user_sachgeb_bez where sachgebiete_id=1400 ;
--Das system wird entfernt.
delete from systeminfo where tid=1400;

--Das Thema und die Masken aus dem Themenbaum entfernen
--zunaechst werden die Eintraege in den themenbaum_bak eingefuegt, default ist parent=themenbaum_root
delete from themenbaum_bak;
create temp table tmp_themenbaum
(
   tid           serial ,
   name         varchar(255)    ,
   maskeninfo_id integer         ,
   parent        integer         ,
   gueltig_seit  date         ,
   gueltig_bis   date         ,
   erlaeuterung  char(240)  ,
   parentname    char(50)
);

--root für das Modul einfügen und in den Themenbaum einhängen
insert into tmp_themenbaum
(  tid,name )
select max(tid)+1,'Wuppertaler Ladejobs' from themenbaum;
--Nun die Einträge einfügen, die tids werden durch das serial-Feld erzeugt

delete from themenbaum where name in (select distinct name from tmp_themenbaum);
--Nun die einzelnen Masken

delete from themenbaum where maskeninfo_id=8000;

drop table tmp_themenbaum;


\! DOSQL $MYJOBS_PFAD/conf/sx_tables_loeschen.sql
\! DOSQL $MYJOBS_PFAD/conf/sx_fields_loeschen.sql
\! DOSQL $MYJOBS_PFAD/conf/unload_params_loeschen.sql

create temp table tmp_cifx_delete(key integer, apnr char(10));
insert into tmp_cifx_delete
select distinct key,apnr from trans_cifx where systeminfo_id=1400;

delete from cifx where '' || key || '_' || apnr in (select '' || D.key || '_' || D.apnr from tmp_cifx_delete D);
delete from trans_cifx where '' || key || '_' || apnr in (select '' || D.key || '_' || D.apnr from tmp_cifx_delete D);
drop table tmp_cifx_delete;

