
--SQL Script automatisch generiert von SuperX sx_fields_fuellen.xsl


--freemarker template
<sqlvars>
<sqlvar name="sx_fields_exists">
select sp_table_exists('sx_fields') from xdummy;

</sqlvar>

</sqlvars>
<#if sx_fields_exists=1>


CREATE temp TABLE tmp_fields(
table_name VARCHAR(255)  not null, 
name VARCHAR(255)  not null, 
caption VARCHAR(255) , 
description VARCHAR(255) , 
field_type VARCHAR(255)  not null, 
field_size VARCHAR(255)  , 
field_not_null smallint,
currentlyused SMALLINT , 
is_primarykey SMALLINT  default 0 , 
foreignkey_tab VARCHAR(255) , 
foreignkey_col VARCHAR(255) , 
foreignkey_int VARCHAR(255) , 
foreignkey_cap VARCHAR(255) , 
foreignkey_cond VARCHAR(255) , 
foreignkey_func VARCHAR(255) , 
check_integrity SMALLINT, 
is_sum SMALLINT  default 1,
foreignkey_uniquename VARCHAR(255)

);


delete from sx_fields where trim(table_name) in (select trim(T.table_name) from tmp_fields T);

insert into sx_fields (table_name,name,caption,description,field_type,
field_size,
field_not_null,
currentlyUsed,
foreignkey_tab,
foreignkey_col,
foreignkey_cap,
foreignkey_int,
foreignkey_cond,
foreignkey_func,
check_integrity,
is_sum

<#if TableFieldExists?exists && TableFieldExists('sx_fields','foreignkey_uniquename')>
,foreignkey_uniquename
</#if>


)
select table_name,name,caption,description,field_type,
field_size,
field_not_null,
currentlyUsed,
foreignkey_tab,
foreignkey_col,
foreignkey_cap,
foreignkey_int,
foreignkey_cond,
foreignkey_func,
check_integrity,
is_sum

<#if TableFieldExists?exists && TableFieldExists('sx_fields','foreignkey_uniquename')>
,foreignkey_uniquename
</#if>

from tmp_fields;


drop table tmp_fields;


</#if>

