
--SQL Script automatisch generiert von SuperX sx_tables_fuellen.xsl


--freemarker template
<sqlvars>
<sqlvar name="sx_tables_exists">
select sp_table_exists('sx_tables') from xdummy;

</sqlvar>

</sqlvars>
<#if sx_tables_exists=1>



CREATE temp table tmp_tables(
name CHAR(255) , 
caption CHAR(255) , 
description CHAR(255) , 
table_type CHAR(255) , 
systeminfo_id INTEGER  , 
systeminfo_orig INTEGER  , 
thema CHAR(255) , 
sachgebiete_id CHAR(255) 
);

update sx_tables set systeminfo_orig=(select T.systeminfo_orig from tmp_tables T
where T.name=sx_tables.name)
where name in (select name from tmp_tables); 
update sx_tables set caption=(select T.caption from tmp_tables T
where T.name=sx_tables.name)
where name in (select name from tmp_tables); 
update sx_tables set description=(select T.description from tmp_tables T
where T.name=sx_tables.name)
where name in (select name from tmp_tables); 
update sx_tables set table_type=(select T.table_type from tmp_tables T
where T.name=sx_tables.name)
where name in (select name from tmp_tables); 

delete from tmp_tables where name in (select T.name from sx_tables T);

insert into sx_tables (name,caption,description,table_type,systeminfo_id,systeminfo_orig,thema,sachgebiete_id)
select name,caption,description,table_type,systeminfo_id,systeminfo_orig,thema,sachgebiete_id
from tmp_tables;

drop table tmp_tables;


</#if>

